%define major     2
%define libxrandr %mklibname xrandr %{major}
%define devxrandr %mklibname xrandr -d

Name:           libxrandr
Summary:        X RandR Library
Version:        1.5.4
Release:        %mkrel 1
Group:          System/Libraries
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.xz
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  x11-proto-devel
BuildRequires:  x11-util-macros

%description
X RandR Library.

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:        X RandR Library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{libxrandr}
X RandR Library.

%files -n %{libxrandr}
%{_libdir}/libXrandr.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxrandr}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxrandr} = %{version}-%{release}
Provides:       libxrandr-devel = %{version}-%{release}
Provides:       xrandr-devel = %{version}-%{release}

%description -n %{devxrandr}
Development files for %{name}.

%files -n %{devxrandr}
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXrandr-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install


%changelog
* Mon Dec 02 2024 daviddavid <daviddavid> 1.5.4-1.mga10
+ Revision: 2120653
- new version: 1.5.4

* Sun Feb 19 2023 wally <wally> 1.5.3-2.mga9
+ Revision: 1944142
- add more provides to lib pkg

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.5.3-1.mga9
+ Revision: 1919931
- 1.5.3

* Sat Mar 19 2022 umeabot <umeabot> 1.5.2-3.mga9
+ Revision: 1800548
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.5.2-2.mga8
+ Revision: 1523967
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Mar 17 2019 tv <tv> 1.5.2-1.mga7
+ Revision: 1378333
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.5.1-2.mga7
+ Revision: 1299267
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 1.5.1-1.mga6
+ Revision: 1058895
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 956005
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.5.0-1.mga6
+ Revision: 837499
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.2-4.mga5
+ Revision: 740387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.2-3.mga5
+ Revision: 681895
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.2-2.mga4
+ Revision: 534478
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.4.2-1.mga4
+ Revision: 477902
- new release

* Thu Aug 22 2013 wally <wally> 1.4.1-2.mga4
+ Revision: 469384
- drop major from deval pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Mon Jun 03 2013 tv <tv> 1.4.1-1.mga4
+ Revision: 435884
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.4.0-3.mga3
+ Revision: 397166
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 358627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 tv <tv> 1.4.0-1.mga3
+ Revision: 275338
- new release

* Mon Nov 21 2011 fwang <fwang> 1.3.2-2.mga2
+ Revision: 170342
- drop .la files

* Thu Jun 30 2011 tv <tv> 1.3.2-1.mga2
+ Revision: 116944
- new release

* Wed Jan 12 2011 dmorgan <dmorgan> 1.3.1-2.mga1
+ Revision: 7296
- imported package libxrandr


* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 1.3.1-2mdv2011.0
+ Revision: 589852
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdv2010.1
+ Revision: 520971
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.0-2mdv2010.0
+ Revision: 425934
- rebuild

* Fri Mar 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.0-1mdv2009.1
+ Revision: 349899
- New version 1.3.0
- Remove patch 1 (applied upstream)

* Sun Feb 01 2009 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.4-2mdv2009.1
+ Revision: 336203
- Apply upstream fix for bug that is highlighted in latest cmd line RC

* Wed Dec 17 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.4-1mdv2009.1
+ Revision: 315243
- New version: 1.2.99.4

* Sat Dec 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.3-1mdv2009.1
+ Revision: 313928
- New version 1.2.99.3

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.91-1mdv2009.1
+ Revision: 309222
- New version: 1.2.91

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.3-1mdv2009.0
+ Revision: 236192
- Update to version 1.2.3

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-4mdv2009.0
+ Revision: 223083
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.2.2-2mdv2008.1
+ Revision: 150869
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 81013
- New upstream release: 1.2.2 (consolidates patch already applied)

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension

* Wed Jul 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-3mdv2008.0
+ Revision: 51289
- There was one more place where crtc width was being wrongly set as the crtc
  height. Updating patch

* Tue Jul 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-2mdv2008.0
+ Revision: 47575
- Fix a bug on notifying CRTC changes: the width was being set to the height value


* Mon Mar 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 133294
- new version (1.2.1)
- remove dont_use_delete patch: applied upstream

* Wed Feb 28 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-2mdv2007.1
+ Revision: 127210
- Upstream patch to avoid use of C++ reserved words (delete)

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 126717
- new upstream release: 1.2.0 supporting the version 1.2 of the X RandR extension
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

